summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/sets/0054comments_set_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/sets/0054comments_set_0')
-rwxr-xr-xtests/shell/testcases/sets/0054comments_set_08
1 files changed, 3 insertions, 5 deletions
diff --git a/tests/shell/testcases/sets/0054comments_set_0 b/tests/shell/testcases/sets/0054comments_set_0
index 93a73f0d..9c8f7875 100755
--- a/tests/shell/testcases/sets/0054comments_set_0
+++ b/tests/shell/testcases/sets/0054comments_set_0
@@ -1,11 +1,9 @@
#!/bin/bash
+set -e
+
# Test that comments are added to sets
$NFT add table t
$NFT add set t s {type ipv4_addr \; flags interval \; comment "test" \;}
-if ! $NFT list ruleset | grep test >/dev/null ; then
- echo "E: missing comment in set" >&2
- exit 1
-fi
-
+$NFT add map t m {type ipv4_addr : ipv4_addr \; flags interval \; comment \"another test\" \;}